def check_version_smaller_than_1_1_12(version_str):
    # Remove the parentheses part if it exists, example of version: 1.1.12 (2)
    version_str = version_str.split()[0]
    if version_str:

        # Split version into components
        version_parts = [int(x) for x in version_str.split('.')]
        target_parts = [1, 1, 12]

        # Compare version components
        return version_parts < target_parts
    else:
        return False
